Bug 1189 - home directory template does not check case of user name
home directory template does not check case of user name
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.2a
All Solaris
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-16 01:37 UTC by Leon
Modified: 2005-08-24 10:18 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leon 2004-03-16 01:37:20 UTC
I'm running Samba 3.0.2a as member in a active directory domain (security=ADS, 
use default domain=true).

I noticed that you can refer to a winbind user in lower or uppercase 
transparantly:
getent -a user1 --> works
getent -a USER1--> works as well
(mmm this is not really unix style, case independent usernames...! and it is 
funny because on the active directory the username clearly recognizes case).

When you do the getent you'll see that the username is always in case 'as 
entered on the ADS domain server) but the template just picksup whatever case 
you choose on the getent command.

getent -a user1

shows you the real username is 'user1' and the home directory 
is /export/home/user1

getent -a USER1
shows you the real username is 'user1' (lowercase! as entered in the MMC on 
the ms PDC) and the home directory is now /export/home/USER1 
...

I think the ld_template_homedir() function needs to lookup the actual case of 
the user before constructing the homedir string.
Comment 1 Daniel Mario Vega 2004-03-18 09:01:39 UTC
After upgrading from 3.0.1 to 3.0.2a I've started having problems about homedir
case. Before that homedirs where always lowercase, no mother how was the case of
the entered username.
Comment 2 Gerald (Jerry) Carter 2004-10-29 07:49:47 UTC
fixed for 3.0.8.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:18:05 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.